## Apache Zeta Components Manual :: Docs For Class ezcGraphStackedBarsRenderer

### Graph::ezcGraphStackedBarsRenderer

### Interface ezcGraphStackedBarsRenderer

Interface which adds the methods required for rendering radar charts to a renderer

Source for this file: /Graph/src/interfaces/stacked_bar_renderer.php

Version: | //autogentag//

### Method Summary

public void | `drawStackedBar( $boundings , $context , $color , $start , $position , $stepSize , [ $symbol = ezcGraph::NO_SYMBOL] , [ $axisPosition = 0.] )` Draw stacked bar

### Methods

#### drawStackedBar

void drawStackedBar( $boundings , ezcGraphContext $context , ezcGraphColor $color , ezcGraphCoordinate $start , ezcGraphCoordinate $position , float $stepSize , [int $symbol = ezcGraph::NO_SYMBOL] , [float $axisPosition = 0.] )

Draw stacked bar

Draws a stacked bar part as a data element in a line chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings | Chart boundings
`$context` | ezcGraphContext | Context of call
`$color` | ezcGraphColor | Color of line
`$start` | ezcGraphCoordinate |
`$position` | ezcGraphCoordinate |
`$stepSize` | float | Space which can be used for bars
`$symbol` | int | Symbol to draw for line
`$axisPosition` | float | Position of axis for drawing filled lines

Documentation generated by phpDocumentor 1.4.3